Bug 1391491 - Missing symbols in openblas-openmp
Summary: Missing symbols in openblas-openmp
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openblas
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-03 12:33 UTC by David
Modified: 2016-11-20 23:49 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-14 21:01:09 UTC


Attachments (Terms of Use)

Description David 2016-11-03 12:33:02 UTC
The file /usr/lib64/libopenblaso.so seems to be missing the symbol _gfortran_concat_string

Using a Numpy linked against openblas, the following works:

LD_PRELOAD=/usr/lib64/libopenblas.so python -c "import numpy as np; np.linalg.svd(np.random.random((10, 10)))"

but the OpenMP version fails:

LD_PRELOAD=/usr/lib64/libopenblaso.so python -c "import numpy as np; np.linalg.svd(np.random.random((10, 10)))"
python: symbol lookup error: /usr/lib64/libopenblaso.so: undefined symbol: _gfortran_concat_string

This behaviour is new in 0.2.19-2. It used to work with 0.2.18-5.

Comment 1 Fedora Update System 2016-11-03 23:16:41 UTC
openblas-0.2.19-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9f557cd26

Comment 2 Fedora Update System 2016-11-03 23:16:47 UTC
openblas-0.2.19-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9da5520b9e

Comment 3 Fedora Update System 2016-11-03 23:16:59 UTC
openblas-0.2.19-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8db858bed6

Comment 4 Fedora Update System 2016-11-03 23:17:04 UTC
openblas-0.2.19-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c2bcdc39ee

Comment 5 Fedora Update System 2016-11-04 17:23:29 UTC
openblas-0.2.19-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9da5520b9e

Comment 6 Fedora Update System 2016-11-05 03:35:28 UTC
openblas-0.2.19-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9f557cd26

Comment 7 Fedora Update System 2016-11-05 03:51:27 UTC
openblas-0.2.19-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8db858bed6

Comment 8 Fedora Update System 2016-11-05 19:00:04 UTC
openblas-0.2.19-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c2bcdc39ee

Comment 9 Fedora Update System 2016-11-06 01:53:22 UTC
openblas-0.2.19-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8db858bed6

Comment 10 Fedora Update System 2016-11-14 21:01:09 UTC
openblas-0.2.19-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-19 07:25:14 UTC
openblas-0.2.19-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-11-19 21:11:13 UTC
openblas-0.2.19-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-11-20 23:49:09 UTC
openblas-0.2.19-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.